<?PHP
#
#   FILE:  CKEditorSetup.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2011-2015 Edward Almasy and Internet Scout Research Group
#   http://scout.wisc.edu/cwis/
#

# ----- MAIN -----------------------------------------------------------------

/**
 * Set the appropiate variables for ckeditor_setup to load the correct css.
 * The point for this code is to let ApplicationFramework to provide the
 * correct css address and handle the scss compilation if necessary.
 */
$CWISThemeStyle = $GLOBALS["AF"]->GUIFile("CW-Theme.css");
$CKEditorStyle = $GLOBALS["AF"]->GUIFile("CW-Theme-CKEditor.css");
?>
	<script type="text/javascript">
		var CWIS_THEME_STYLE = "<?PHP print($CWISThemeStyle); ?>";
		var CWIS_CKEDITOR_STYLE = "<?PHP print($CKEditorStyle); ?>";
	</script>
<?PHP

# require the CKEditor javascript
$GLOBALS["AF"]->RequireUIFile("ckeditor.js");
$GLOBALS["AF"]->RequireUIFile("ckeditor_setup.js");